@rem Build script for Coda!
@echo off
set scriptDebug=0
if "%scriptDebug%" == "0" goto echoOff
@echo on

:echoOff

rem DDK base dir set?

if "%BASEDIR%"=="" goto no_basedir
goto good_basedir

:no_basedir
echo Error: BASEDIR not set (DDK base directory)
goto end

:good_basedir

set pathsave=%path%
set path=%path%;%BASEDIR%\bin
set dir=coda

set mode=none
set OsVer=none

:NextArg
if "%1" == "" goto EndArg
if "%1" == "checked" goto ArgOK
if "%1" == "chk" goto ArgOK
if "%1" == "free" goto ArgOK
if "%1" == "fre" goto ArgOK
if "%1" == "wxp" goto ArgOK
if "%1" == "w2k" goto ArgOK

echo Unrecognized argument: %1
goto usage

:ArgOk
if "%1" == "checked" set mode=chk
if "%1" == "chk" set mode=chk
if "%1" == "free" set mode=fre
if "%1" == "fre" set mode=fre
if "%1" == "wxp" set VER=wxp
if "%1" == "w2k" set VER=w2k
shift
goto NextArg

:usage
echo usage: ddkbuild checked/free w2k/wxp
goto end

:EndArg
if "%mode%" == "none" goto usage
if "%VER%" == "none" goto usage

rem Check for proper files ...

if EXIST %dir%\%mode% goto DDKenv
echo Error: %dir%\%mode% does not exist.  Extract the fsdk.
goto end

rem Read the DDK environment (w2k or wxp for now)

:DDKenv

if not "%VER%" == "w2k" goto DDKstd
if not EXIST %BASEDIR%\bin\w2k\set2k.bat goto DDKstd
pushd .
call %BASEDIR%\bin\w2k\set2k.bat %BASEDIR% %mode% %VER%
popd
goto AfterDDK

:DDKstd
pushd .
call %BASEDIR%\bin\setenv.bat %BASEDIR% %mode% %VER%
popd

:AfterDDK

rem reset debugging vars
set NTDEBUGTYPE=windbg
set NTDEBUG=ntsd

if "%NUMBER_OF_PROCESSORS"=="" goto no_mp
set mpFlag=-M
goto mp_done

:no_mp
set mpFlag=""

:mp_done

echo build %mode% in directory %DIR% version %VER% (basedir %BASEDIR%)

pushd %DIR%

set bflags=-e

:done

if EXIST build.err	erase build.err
if EXIST build.wrn      erase build.wrn
if EXIST build.log	erase build.log

echo run build %bflags% %mpFlag% for %mode% version in %dir%
pushd .
build %bflags% %mpFlag%
popd
echo.

rem assume that the onscreen errors are complete!

if not exist build%mode%_%VER%_x86.err goto warns
echo =============== build errors ======================

:warns
if not exist build%mode%_%VER%_x86.log goto complete
echo =============== build warnings ======================
findstr "warning.*[CL][0-9]*" build%mode%_%VER%_x86.log

echo. 
echo. 

:complete
echo Build complete

if EXIST sbrList.txt goto bscList

popd
goto end

:bscList
echo building browse information files
bscmake @sbrList.txt
popd

:end
set path=%pathsave%

if "%CallEXIT%" == "" goto NoExit
@exit

:NoExit
