# Final installation script ... build /usr/coda with proper permissions.
# Parameters:  default-realm cache-size drive realm-name servers

PATH=/bin:/usr/bin::/usr/sbin:/usr/local/bin:/usr/local/sbin

if [ x$1 = x-u ] ; then
    PREFIX=
    CODACONFPATH=/etc/coda
    shift
else
    PREFIX=/usr/local
    CODACONFPATH=/usr/local/etc/coda
fi
export CODACONFPATH

echo "Setting up Venus"

venus-setup $1 $2 $3

echo "realmtab in venus conf"
codaconfedit venus.conf realmtab $PREFIX/etc/coda/realms

if test '(' "X$4" != "X" ')' -a  '(' "X$5" != "X" ')' ; then
    echo $4 "   " $5 >> $PREFIX/etc/coda/realms
fi

echo "Fixing ownership and permissions on /usr/coda tree."

if ! test -d /usr/coda ; then
  mkdir /usr/coda
fi
if ! test -d /usr/coda/venus.cache ; then
  mkdir /usr/coda/venus.cache
fi
if ! test -d /usr/coda/spool ; then
  mkdir /usr/coda/spool
fi
if ! test -d /usr/coda/etc ; then
  mkdir /usr/coda/etc
fi

touch /usr/coda/{DATA,LOG}
touch /usr/coda/venus.cache/INIT

chmod 755 /usr/coda
chmod 755 /usr/coda/etc
chmod 770 /usr/coda/{spool,venus.cache}
chmod 600 /usr/coda/{DATA,LOG}

chown SYSTEM:Administrators /usr/coda/{DATA,LOG,etc,spool,venus.cache}
chown SYSTEM:Administrators /usr/coda

echo "Installing venus as a service."

if [ x$PREFIX = x ] ; then
    cygrunsrv -I venus -p /usr/sbin/venus -o -t manual
else
    cygrunsrv -I venus -p /usr/local/sbin/venus -o -t manual
fi